package com.flossom.common.core.domain.entity;

import com.flossom.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 微信用户标签关联对象 wx_user_tag
 *
 * @author flossom
 * @date 2023-12-19
 */
public class WxUserTag extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 标签名称
     */
    private String tagName;

    /**
     * 标签id
     */
    private Long tagId;

    /**
     * 标签类型：1小程序标签 2企业微信标签
     */
    private Integer type;

    /**
     * 状态（0正常 1停用）
     */
    private Long status;

    public WxUserTag() {
    }

    public WxUserTag(Long id, Long userId, String tagName, Long tagId, Integer type, Long status) {
        this.id = id;
        this.userId = userId;
        this.tagName = tagName;
        this.tagId = tagId;
        this.type = type;
        this.status = status;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setTagName(String tagName) {
        this.tagName = tagName;
    }

    public String getTagName() {
        return tagName;
    }

    public void setTagId(Long tagId) {
        this.tagId = tagId;
    }

    public Long getTagId() {
        return tagId;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getType() {
        return type;
    }

    public void setStatus(Long status) {
        this.status = status;
    }

    public Long getStatus() {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("userId", getUserId())
                .append("tagName", getTagName())
                .append("tagId", getTagId())
                .append("type", getType())
                .append("status", getStatus())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
